Skip to main content
GET
/
projects
/
{id}
Get a project by ID
curl --request GET \
  --url https://web.subly.app/api/v1/projects/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://web.subly.app/api/v1/projects/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://web.subly.app/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "budget_amount": 123,
  "budget_currency": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

x-api-key
string
header
required

Your private API key for authentication. This key identifies your workspace for all requests.

Path Parameters

id
string<uuid>
required

The unique identifier for the project.

Response

The requested project details.

id
string<uuid>
read-only

Unique identifier for the project.

name
string

The name of the project.

workspace_id
string<uuid>
read-only

Identifier of the workspace this project belongs to.

budget_amount
number<float>

The financial budget allocated to the project.

budget_period
enum<string>

The time period the budget covers.

Available options:
month,
year
budget_currency
string

The ISO 4217 currency code for the budget amount (e.g., 'USD', 'AUD').